.filter {
    background: var(--base);
}

.filter form {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    align-items: center;
    margin-top: -5px;
}

.filter select,
.filter form select {
    width: 100%;
    border-bottom: 2px dotted var(--base-2) !important;
    border: 0px;
    color: var(--accent);
    font-weight: 600;
    height: 50px;
    padding-left: 0px;
    transition: 0.5s ease all;
    cursor: pointer;
    margin-top: -10px;
}

.filter select:hover,
.filter form select:hover {
    color: var(--accent-2);
    border-color: var(--accent-2);
}

.filter select:focus,
.filter form select:focus {
    outline: none;
    border-color: var(--accent);
}

.filter form button,
.reset-filter-btn {
    margin-top: 15px;
    background-color: transparent;
    color: var(--accent-2);
    padding: 3px 0px;
    border: 1px solid var(--accent-2);
    padding: 6px 10px;
    border-radius: 6px;
    cursor: pointer;
    font-size: 14px;
    transition: 0.5s ease all;
}

.filter form button:hover,
.reset-filter-btn:hover {
    color: var(--accent);
    border-color: var(--accent);
}

.suitable-age-filter-group {
    width: 100%;
    flex: 0 0 100%;
}

.suitable-age-filter-group span {
    color: var(--accent) !important;
    font-weight: 600;
    margin-bottom: 10px !important;
  }

@media (max-width: 768px) {
    .filter form {
        flex-direction: column;
        align-items: stretch;
    }

    .filter select {
        min-width: auto;
        width: 100%;
    }

    .reset-filter-btn {
        width: auto;
        text-align: center;
    }

    .filter form select {
        margin-bottom: 10px;
    }

    .filter form button,
    .reset-filter-btn {
        margin-top: 10px;
        width: 100%;
        text-align: center;
    }
}

@keyframes filter-shake {
    0%, 100% {
        transform: translateX(0);
    }

    15% {
        transform: translateX(-10px);
    }

    30% {
        transform: translateX(10px);
    }

    45% {
        transform: translateX(-8px);
    }

    60% {
        transform: translateX(8px);
    }

    75% {
        transform: translateX(-5px);
    }

    90% {
        transform: translateX(5px);
    }
}

body:has(.move-trigger:hover) #filter {
    animation: filter-shake .75s ease;
}

button.move-trigger {
    border-radius: 6px;
    display: inline-block;
    background-color: var(--accent-2);
    color: var(--base);
    padding: 6px 10px;
    font-size: 1em;
    font-weight: 400;
    border: 0;
    cursor: pointer;
    transition: .5s ease all;
}

button.move-trigger:hover {
    background-color: var(--accent-3);
    color: var(--base);
}
